Bug 47658 - add Open-ID authentification for MozTrap
Summary: add Open-ID authentification for MozTrap
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Yifan Jiang
QA Contact:
URL:
Whiteboard: tcm
Keywords: difficultyInteresting, easyHack, topicQA, topicWeb
Depends on: 49169
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 07:38 UTC by Björn Michaelsen
Modified: 2015-12-16 05:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2012-03-21 07:38:24 UTC
LibreOffice Litmus at:

 https://tcm.documentfoundation.org/

requires its own login. This is a needless barrier to entry, which is especially unfortunate as Litmus itself is quite simple to use.
It would be great to integrate OpenID authentication into Litmus as that makes accessing this great tool even easier. This might be coordinated with Mozilla (the originators of Litmus) as it might be of interest to them too.
Comment 1 Rimas Kudelis 2012-03-21 12:58:09 UTC
(In reply to comment #0)
> This might be coordinated with Mozilla
> (the originators of Litmus) as it might be of interest to them too.

Hardly. Mozilla is currently rewriting the tool. Litmus is pretty much dead, as far as they're concerned. And even if not, I'd assume Mozilla would be more interested in Mozilla Persona (aka BrowserID) support than OpenID.
Comment 2 Björn Michaelsen 2012-04-26 03:09:15 UTC
Evaluation showed no blockers in using MozTrap, to making this a MozTrap task now.
Comment 3 Yifan Jiang 2012-09-12 06:24:10 UTC
An active project django-openid-auth (which depends on python-openid) might be a good choice to do that:

https://code.launchpad.net/~django-openid-auth/django-openid-auth/trunk
Comment 4 Rimas Kudelis 2012-09-14 07:45:05 UTC
I'd just like to point out that MozTrap indeed uses Mozilla Persona (ex-BrowserID) for log-ins. Its idea is very similar to that of OpenID, so we could probably just go with that after all, I think.
Comment 5 Yifan Jiang 2012-09-14 08:00:36 UTC
Hi Rimas,

Thanks for the info, yes the mozilla persona works out of the box. Do you have some ideas how does Mozilla persona works:

- Does the users have to *register* for a Mozilla Persona if didn't have one
- Is it also an Openid provider?

The benefit of openid seems many users do not need to have a new registration since there are many openid providers like google account, yahoo account etc...

While to be honest, I didn't have a deep review of either of these yet, so any information could be helpful :)
Comment 6 Rimas Kudelis 2012-09-14 08:21:34 UTC
The idea of Mozilla Persona is similar to that of OpenID: you create an account once and then use it wherever it is supported. So yes, you'd have to register once, but then you're good to go. Actually, it's supposed to be decentralized, just like OpenID. In my opinion, the biggest difference between OpenID and Persona is that Persona uses your e-mail as an identifier, whereas OpenID uses a URL.

They have a blog post dedicated to this question here: http://identity.mozilla.com/post/7669886219/how-browserid-differs-from-openid . It also has a link to a more in-detail explanation of how Persona works.

Disclaimer: I haven't read nor contemplated a lot about Persona and whether or not it's indeed better or will become more popular than OpenID. I'm just saying that it's somewhat better than having a totally separate login like we do in Litmus. :)
Comment 7 Yifan Jiang 2012-09-21 09:35:34 UTC
After a bit of playing, Mozilla persona is now enabled together with native registration :)

http://vm12.documentfoundation.org/users/login/
Comment 9 Björn Michaelsen 2012-10-12 09:08:08 UTC
Awesome! Can this one be closed then?
Comment 10 Yifan Jiang 2012-10-12 10:03:27 UTC
I'd like to close it when we have the interface accomplished :)
Comment 11 Yifan Jiang 2012-10-18 09:18:36 UTC
UI updated and have tested a bit :) 

A security problem has been fixed by sacrificing a little part of email compatibility with Persona and password user, the bug is here:

https://bugs.freedesktop.org/show_bug.cgi?id=56128
Comment 12 Robinson Tryon (qubit) 2015-12-16 05:27:55 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyInteresting TopicQA TopicWeb )
[NinjaEdit]